static char * sccsid = "@(#)  create_db.c  (v1.10 4/17/90)";

/*
 * Frontend for kef_mcreate_db.
 * If a user calls kef_create_db s/he gets malloc/realloc/free. If s/he desires
 * otherwise s/he should call kef_mcreate_db directly.
 */

# include <stdio.h>
# include "kef.h"

#ifdef DEBUG_INIT
#	define L_DEBUG
#else
#	ifdef L_DEBUG
#		undef L_DEBUG
#	endif
#endif
# include "local.h"

extern char * malloc ();
extern char * realloc ();
extern FREE_TYPE free ();

extern int kef_mcreate_db ();

	int
kef_create_db (pkdb, num_nodes)
	struct kef_db ** pkdb;
	int num_nodes;
{
	return kef_mcreate_db (pkdb, num_nodes, malloc, realloc, free);
}
